# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
---
loader: taskgraph.loader.transform:loader

transforms:
    - taskgraph.transforms.from_deps
    - gecko_taskgraph.transforms.chunk_partners
    - gecko_taskgraph.transforms.name_sanity
    - gecko_taskgraph.transforms.beetmover_repackage_partner
    - gecko_taskgraph.transforms.task

kind-dependencies:
    - release-partner-repack-repackage-signing

task-defaults:
    run-on-repo-type: [hg]

only-for-build-platforms:
    - linux64-shippable/opt
    - macosx64-shippable/opt
    - win32-shippable/opt
    - win64-shippable/opt
    - win64-aarch64-shippable/opt

tasks:
    release-partner-repack-beetmover:
        from-deps:
            group-by: single-with-filters
        shipping-phase: promote
        partner-path: "partner-repacks/{partner}/{subpartner}/v{release_partner_build_number}/{platform}/{locale}"
